Subject: RE: Logotype images

From: "Bland, Graham" <[email-masked]>
Date: Mon, 13 Aug 2001 14:01:33 +0100

I agree with the second sentiment.

However as the purpose is to allow the display of a recognisable graphic
logo the type of logo included is going to be the whole specification.

If the logo is not defined then it is just another non critical extension
where the contents are relatively? undefined.

I just thought of another issue, if a standard size is defined then what
about the aspect ratio, organisations have different shaped logos and would
probably not like to see them truncated or surrounded by a coloured band if
whitespace is carried in the image.

Graham

> -----Original Message-----
> From: John Lowry [mailto:[email-masked]]
> Sent: 13 August 2001 13:54
> To: Bland, Graham; 'Stefan Santesson'; [email-masked]
> Subject: RE: Logotype images
> 
> 
> Surely this is an application-specific function ?
> We don't worry about how text gets translated into
> various fonts - do we ?
> 
> Of course, the easiest and best solution would be
> to get rid of the logotype entirely  :-)
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Bland, Graham
> > Sent: Monday, August 13, 2001 8:23 AM
> > To: 'Stefan Santesson'; [email-masked]
> > Subject: RE: Logotype images
> >
> >
> > B&W is not quite that simple, nor is colour.
> >
> > For B&W how many greys are supported, 2 to 256 seems the likely
> > range, also
> > for colour what colour palettes are supported.  There is 
> also the issue of
> > screen resolution, if the size is to be standard expressed as 1"
> > x 0.5" then
> > displays must scale the image depending on the pixels 
> included, or if the
> > size is expressed in pixels then it will be very small on a high
> > resolution
> > screen display and cover the whole screen on a WAP Phone.
> >
> > As another consideration, what are the minimum display
> > resolutions allowed,
> > I presume this would depend on the image, Can the image be 
> displayed in 5
> > pixels by 3 pixels (an extreme case but what is the limit).
> >
> > Should the image be a standard format such as a JPEG in 
> which case scaling
> > becomes easier as long as the device supports the image type.
> >
> >
> > Graham Bland
> >
> >
> > > -----Original Message-----
> > > From: Stefan Santesson [mailto:[email-masked]]
> > > Sent: 13 August 2001 10:08
> > > To: [email-masked]
> > > Subject: Logotype images
> > >
> > >
> > >
> > > Since logotypes in certificates now is an approved PKIX work
> > > item there are
> > > some practical aspects to deal with.
> > >
> > > 1) Logotype image size or scalable images.
> > >
> > > We probably need to define a standard size for logotype
> > > images or find
> > > another way to define scalable logotypes in order to enhance
> > > homogeneous
> > > display of certificates.
> > >
> > > The alternative is to allow scalable logotypes but I have
> > > been told that
> > > there are no easy and appropriate ways to do this.
> > >
> > > 2) Colour and B&W images.
> > >
> > > Some clients, such as mobile phones does not have colour
> > > display and colour
> > > images may not work in B&W.
> > > We probably need a convension that allows inclusion of 2
> > > images for each
> > > logotype (colour and B&W).
> > > Possible solotions are either a convension defined in the
> > > ASN.1 structure
> > > or just a file naming convension for the image files.
> > >
> > > Any suggestions?
> > >
> > > /Stefan
> > >
> >
>